#include <ncurses_cfg.h>
#undef NCURSES_NOMACROS
#include <curses.h>
#include <term.h>
#include <unctrl.h>

DECLARATIONS

int gen_addch ( const chtype z )
{
@@T((T_CALLED("addch(%s)"), _tracechtype2(0,z))); returnCode( addch(z) );
}


int gen_addchnstr ( const chtype * a1 ,  int z )
{
@@T((T_CALLED("addchnstr(%p,%d)"), (const void *)a1, z)); returnCode( addchnstr(a1, z) );
}


int gen_addchstr ( const chtype * z )
{
@@T((T_CALLED("addchstr(%p)"), (const void *)z)); returnCode( addchstr(z) );
}


int gen_addnstr ( const char * a1 ,  int z )
{
@@T((T_CALLED("addnstr(%s,%d)"), _nc_visbuf2(0,a1), z)); returnCode( addnstr(a1, z) );
}


int gen_addstr ( const char * z )
{
@@T((T_CALLED("addstr(%s)"), _nc_visbuf2(0,z))); returnCode( addstr(z) );
}


int gen_attroff ( NCURSES_ATTR_T z )
{
@@T((T_CALLED("attroff(%s)"), _traceattr2(0,(chtype)z))); returnCode( attroff(z) );
}


int gen_attron ( NCURSES_ATTR_T z )
{
@@T((T_CALLED("attron(%s)"), _traceattr2(0,(chtype)z))); returnCode( attron(z) );
}


int gen_attrset ( NCURSES_ATTR_T z )
{
@@T((T_CALLED("attrset(%s)"), _traceattr2(0,(chtype)z))); returnIntAttr( (attr_t)attrset(z) );
}


int gen_attr_get ( attr_t * a1 ,  NCURSES_PAIRS_T * a2 ,  void * z )
{
@@T((T_CALLED("attr_get(%p,%p,%p)"), (const void *)a1, (const void *)a2, (const void *)z)); returnCode( attr_get(a1, a2, z) );
}


int gen_attr_off ( attr_t a1 ,  void * z )
{
@@T((T_CALLED("attr_off(%s,%p)"), _traceattr2(0,a1), (const void *)z)); returnCode( attr_off(a1, z) );
}


int gen_attr_on ( attr_t a1 ,  void * z )
{
@@T((T_CALLED("attr_on(%s,%p)"), _traceattr2(0,a1), (const void *)z)); returnCode( attr_on(a1, z) );
}


int gen_attr_set ( attr_t a1 ,  NCURSES_PAIRS_T a2 ,  void * z )
{
@@T((T_CALLED("attr_set(%s,%#lx,%p)"), _traceattr2(0,a1), (long)a2, (const void *)z)); returnCode( attr_set(a1, a2, z) );
}


int gen_baudrate ( void )
{
@@T((T_CALLED("baudrate()"))); returnCode( baudrate() );
}


int gen_beep ( void )
{
@@T((T_CALLED("beep()"))); returnCode( beep() );
}


int gen_bkgd ( chtype z )
{
@@T((T_CALLED("bkgd(%s)"), _tracechtype2(0,z))); returnCode( bkgd(z) );
}


void gen_bkgdset ( chtype z )
{
@@T((T_CALLED("bkgdset(%s)"), _tracechtype2(0,z))); bkgdset(z);
@@returnVoid;
}


int gen_border ( chtype a1 , chtype a2 , chtype a3 , chtype a4 , chtype a5 , chtype a6 , chtype a7 , chtype z )
{
@@T((T_CALLED("border(%s,%s,%s,%s,%s,%s,%s,%s)"), _tracechtype2(0,a1), _tracechtype2(1,a2), _tracechtype2(2,a3), _tracechtype2(3,a4), _tracechtype2(4,a5), _tracechtype2(5,a6), _tracechtype2(6,a7), _tracechtype2(7,z))); returnCode( border(a1, a2, a3, a4, a5, a6, a7, z) );
}


int gen_box ( WINDOW * a1 ,  chtype a2 ,  chtype z )
{
@@T((T_CALLED("box(%p,%s,%s)"), (const void *)a1, _tracechtype2(1,a2), _tracechtype2(2,z))); returnCode( box(a1, a2, z) );
}


bool gen_can_change_color ( void )
{
@@T((T_CALLED("can_change_color()"))); returnBool( can_change_color() );
}


int gen_cbreak ( void )
{
@@T((T_CALLED("cbreak()"))); returnCode( cbreak() );
}


int gen_chgat ( int a1 ,  attr_t a2 ,  NCURSES_PAIRS_T a3 ,  const void * z )
{
@@T((T_CALLED("chgat(%d,%s,%#lx,%p)"), a1, _traceattr2(1,a2), (long)a3, (const void *)z)); returnCode( chgat(a1, a2, a3, z) );
}


int gen_clear ( void )
{
@@T((T_CALLED("clear()"))); returnCode( clear() );
}


int gen_clearok ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("clearok(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( clearok(a1, z) );
}


int gen_clrtobot ( void )
{
@@T((T_CALLED("clrtobot()"))); returnCode( clrtobot() );
}


int gen_clrtoeol ( void )
{
@@T((T_CALLED("clrtoeol()"))); returnCode( clrtoeol() );
}


int gen_color_content ( NCURSES_COLOR_T a1 , NCURSES_COLOR_T * a2 , NCURSES_COLOR_T * a3 , NCURSES_COLOR_T * z )
{
@@T((T_CALLED("color_content(%#lx,%p,%p,%p)"), (long)a1, (const void *)a2, (const void *)a3, (const void *)z)); returnCode( color_content(a1, a2, a3, z) );
}


int gen_color_set ( NCURSES_PAIRS_T a1 , void * z )
{
@@T((T_CALLED("color_set(%#lx,%p)"), (long)a1, (const void *)z)); returnCode( color_set(a1, z) );
}


int gen_COLOR_PAIR ( int z )
{
@@T((T_CALLED("COLOR_PAIR(%d)"), z)); returnCode( COLOR_PAIR(z) );
}


int gen_copywin ( const WINDOW * a1 , WINDOW * a2 , int a3 , int a4 , int a5 , int a6 , int a7 , int a8 , int z )
{
@@T((T_CALLED("copywin(%p,%p,%d,%d,%d,%d,%d,%d,%d)"), (const void *)a1, (const void *)a2, a3, a4, a5, a6, a7, a8, z)); returnCode( copywin(a1, a2, a3, a4, a5, a6, a7, a8, z) );
}


int gen_curs_set ( int z )
{
@@T((T_CALLED("curs_set(%d)"), z)); returnCode( curs_set(z) );
}


int gen_def_prog_mode ( void )
{
@@T((T_CALLED("def_prog_mode()"))); returnCode( def_prog_mode() );
}


int gen_def_shell_mode ( void )
{
@@T((T_CALLED("def_shell_mode()"))); returnCode( def_shell_mode() );
}


int gen_delay_output ( int z )
{
@@T((T_CALLED("delay_output(%d)"), z)); returnCode( delay_output(z) );
}


int gen_delch ( void )
{
@@T((T_CALLED("delch()"))); returnCode( delch() );
}


void gen_delscreen ( SCREEN * z )
{
@@T((T_CALLED("delscreen(%p)"), (const void *)z)); delscreen(z);
@@returnVoid;
}


int gen_delwin ( WINDOW * z )
{
@@T((T_CALLED("delwin(%p)"), (const void *)z)); returnCode( delwin(z) );
}


int gen_deleteln ( void )
{
@@T((T_CALLED("deleteln()"))); returnCode( deleteln() );
}


WINDOW *  gen_derwin ( WINDOW * a1 , int a2 , int a3 , int a4 , int z )
{
@@T((T_CALLED("derwin(%p,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, z)); returnWin( derwin(a1, a2, a3, a4, z) );
}


int gen_doupdate ( void )
{
@@T((T_CALLED("doupdate()"))); returnCode( doupdate() );
}


WINDOW *  gen_dupwin ( WINDOW * z )
{
@@T((T_CALLED("dupwin(%p)"), (const void *)z)); returnWin( dupwin(z) );
}


int gen_echo ( void )
{
@@T((T_CALLED("echo()"))); returnCode( echo() );
}


int gen_echochar ( const chtype z )
{
@@T((T_CALLED("echochar(%s)"), _tracechtype2(0,z))); returnCode( echochar(z) );
}


int gen_erase ( void )
{
@@T((T_CALLED("erase()"))); returnCode( erase() );
}


int gen_endwin ( void )
{
@@T((T_CALLED("endwin()"))); returnCode( endwin() );
}


char gen_erasechar ( void )
{
@@T((T_CALLED("erasechar()"))); returnCode( erasechar() );
}


void gen_filter ( void )
{
@@T((T_CALLED("filter()"))); filter();
@@returnVoid;
}


int gen_flash ( void )
{
@@T((T_CALLED("flash()"))); returnCode( flash() );
}


int gen_flushinp ( void )
{
@@T((T_CALLED("flushinp()"))); returnCode( flushinp() );
}


chtype gen_getbkgd ( WINDOW * z )
{
@@T((T_CALLED("getbkgd(%p)"), (const void *)z)); returnChtype( getbkgd(z) );
}


int gen_getch ( void )
{
@@T((T_CALLED("getch()"))); returnCode( getch() );
}


int gen_getnstr ( char * a1 ,  int z )
{
@@T((T_CALLED("getnstr(%s,%d)"), _nc_visbuf2(0,a1), z)); returnCode( getnstr(a1, z) );
}


int gen_getstr ( char * z )
{
@@T((T_CALLED("getstr(%s)"), _nc_visbuf2(0,z))); returnCode( getstr(z) );
}


WINDOW *  gen_getwin ( FILE * z )
{
@@T((T_CALLED("getwin(%p)"), (const void *)z)); returnWin( getwin(z) );
}


int gen_halfdelay ( int z )
{
@@T((T_CALLED("halfdelay(%d)"), z)); returnCode( halfdelay(z) );
}


bool gen_has_colors ( void )
{
@@T((T_CALLED("has_colors()"))); returnBool( has_colors() );
}


bool gen_has_ic ( void )
{
@@T((T_CALLED("has_ic()"))); returnBool( has_ic() );
}


bool gen_has_il ( void )
{
@@T((T_CALLED("has_il()"))); returnBool( has_il() );
}


int gen_hline ( chtype a1 ,  int z )
{
@@T((T_CALLED("hline(%s,%d)"), _tracechtype2(0,a1), z)); returnCode( hline(a1, z) );
}


void gen_idcok ( WINDOW * a1 ,  bool z )
{
@@T((T_CALLED("idcok(%p,%#lx)"), (const void *)a1, (long)z)); idcok(a1, z);
@@returnVoid;
}


int gen_idlok ( WINDOW * a1 ,  bool z )
{
@@T((T_CALLED("idlok(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( idlok(a1, z) );
}


void gen_immedok ( WINDOW * a1 ,  bool z )
{
@@T((T_CALLED("immedok(%p,%#lx)"), (const void *)a1, (long)z)); immedok(a1, z);
@@returnVoid;
}


chtype gen_inch ( void )
{
@@T((T_CALLED("inch()"))); returnChtype( inch() );
}


int gen_inchnstr ( chtype * a1 ,  int z )
{
@@T((T_CALLED("inchnstr(%p,%d)"), (const void *)a1, z)); returnCode( inchnstr(a1, z) );
}


int gen_inchstr ( chtype * z )
{
@@T((T_CALLED("inchstr(%p)"), (const void *)z)); returnCode( inchstr(z) );
}


WINDOW * gen_initscr ( void )
{
@@T((T_CALLED("initscr()"))); returnWin( initscr() );
}


int gen_init_color ( NCURSES_COLOR_T a1 , NCURSES_COLOR_T a2 , NCURSES_COLOR_T a3 , NCURSES_COLOR_T z )
{
@@T((T_CALLED("init_color(%#lx,%#lx,%#lx,%#lx)"), (long)a1, (long)a2, (long)a3, (long)z)); returnCode( init_color(a1, a2, a3, z) );
}


int gen_init_pair ( NCURSES_PAIRS_T a1 , NCURSES_COLOR_T a2 , NCURSES_COLOR_T z )
{
@@T((T_CALLED("init_pair(%#lx,%#lx,%#lx)"), (long)a1, (long)a2, (long)z)); returnCode( init_pair(a1, a2, z) );
}


int gen_innstr ( char * a1 ,  int z )
{
@@return innstr(a1, z) ;
}


int gen_insch ( chtype z )
{
@@T((T_CALLED("insch(%s)"), _tracechtype2(0,z))); returnCode( insch(z) );
}


int gen_insdelln ( int z )
{
@@T((T_CALLED("insdelln(%d)"), z)); returnCode( insdelln(z) );
}


int gen_insertln ( void )
{
@@T((T_CALLED("insertln()"))); returnCode( insertln() );
}


int gen_insnstr ( const char * a1 ,  int z )
{
@@T((T_CALLED("insnstr(%s,%d)"), _nc_visbuf2(0,a1), z)); returnCode( insnstr(a1, z) );
}


int gen_insstr ( const char * z )
{
@@T((T_CALLED("insstr(%s)"), _nc_visbuf2(0,z))); returnCode( insstr(z) );
}


int gen_instr ( char * z )
{
@@T((T_CALLED("instr(%s)"), _nc_visbuf2(0,z))); returnCode( instr(z) );
}


int gen_intrflush ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("intrflush(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( intrflush(a1, z) );
}


bool gen_isendwin ( void )
{
@@T((T_CALLED("isendwin()"))); returnBool( isendwin() );
}


bool gen_is_linetouched ( WINDOW * a1 , int z )
{
@@T((T_CALLED("is_linetouched(%p,%d)"), (const void *)a1, z)); returnBool( is_linetouched(a1, z) );
}


bool gen_is_wintouched ( WINDOW * z )
{
@@T((T_CALLED("is_wintouched(%p)"), (const void *)z)); returnBool( is_wintouched(z) );
}


NCURSES_CONST gen_char * keyname ( int z )
{
@@T((T_CALLED("keyname(%d)"), z)); returnPtr( keyname(z) );
}


int gen_keypad ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("keypad(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( keypad(a1, z) );
}


char gen_killchar ( void )
{
@@T((T_CALLED("killchar()"))); returnCode( killchar() );
}


int gen_leaveok ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("leaveok(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( leaveok(a1, z) );
}


char * gen_longname ( void )
{
@@T((T_CALLED("longname()"))); returnPtr( longname() );
}


int gen_meta ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("meta(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( meta(a1, z) );
}


int gen_move ( int a1 ,  int z )
{
@@T((T_CALLED("move(%d,%d)"), a1, z)); returnCode( move(a1, z) );
}


int gen_mvaddch ( int a1 ,  int a2 ,  const chtype z )
{
@@T((T_CALLED("mvaddch(%d,%d,%s)"), a1, a2, _tracechtype2(2,z))); returnCode( mvaddch(a1, a2, z) );
}


int gen_mvaddchnstr ( int a1 ,  int a2 ,  const chtype * a3 ,  int z )
{
@@T((T_CALLED("mvaddchnstr(%d,%d,%p,%d)"), a1, a2, (const void *)a3, z)); returnCode( mvaddchnstr(a1, a2, a3, z) );
}


int gen_mvaddchstr ( int a1 ,  int a2 ,  const chtype * z )
{
@@T((T_CALLED("mvaddchstr(%d,%d,%p)"), a1, a2, (const void *)z)); returnCode( mvaddchstr(a1, a2, z) );
}


int gen_mvaddnstr ( int a1 ,  int a2 ,  const char * a3 ,  int z )
{
@@T((T_CALLED("mvaddnstr(%d,%d,%s,%d)"), a1, a2, _nc_visbuf2(2,a3), z)); returnCode( mvaddnstr(a1, a2, a3, z) );
}


int gen_mvaddstr ( int a1 ,  int a2 ,  const char * z )
{
@@T((T_CALLED("mvaddstr(%d,%d,%s)"), a1, a2, _nc_visbuf2(2,z))); returnCode( mvaddstr(a1, a2, z) );
}


int gen_mvchgat ( int a1 ,  int a2 ,  int a3 ,  attr_t a4 ,  NCURSES_PAIRS_T a5 ,  const void * z )
{
@@T((T_CALLED("mvchgat(%d,%d,%d,%s,%#lx,%p)"), a1, a2, a3, _traceattr2(3,a4), (long)a5, (const void *)z)); returnCode( mvchgat(a1, a2, a3, a4, a5, z) );
}


int gen_mvcur ( int a1 , int a2 , int a3 , int z )
{
@@T((T_CALLED("mvcur(%d,%d,%d,%d)"), a1, a2, a3, z)); returnCode( mvcur(a1, a2, a3, z) );
}


int gen_mvdelch ( int a1 ,  int z )
{
@@T((T_CALLED("mvdelch(%d,%d)"), a1, z)); returnCode( mvdelch(a1, z) );
}


int gen_mvderwin ( WINDOW * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("mvderwin(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( mvderwin(a1, a2, z) );
}


int gen_mvgetch ( int a1 ,  int z )
{
@@T((T_CALLED("mvgetch(%d,%d)"), a1, z)); returnCode( mvgetch(a1, z) );
}


int gen_mvgetnstr ( int a1 ,  int a2 ,  char * a3 ,  int z )
{
@@T((T_CALLED("mvgetnstr(%d,%d,%s,%d)"), a1, a2, _nc_visbuf2(2,a3), z)); returnCode( mvgetnstr(a1, a2, a3, z) );
}


int gen_mvgetstr ( int a1 ,  int a2 ,  char * z )
{
@@T((T_CALLED("mvgetstr(%d,%d,%s)"), a1, a2, _nc_visbuf2(2,z))); returnCode( mvgetstr(a1, a2, z) );
}


int gen_mvhline ( int a1 ,  int a2 ,  chtype a3 ,  int z )
{
@@T((T_CALLED("mvhline(%d,%d,%s,%d)"), a1, a2, _tracechtype2(2,a3), z)); returnCode( mvhline(a1, a2, a3, z) );
}


chtype gen_mvinch ( int a1 ,  int z )
{
@@T((T_CALLED("mvinch(%d,%d)"), a1, z)); returnChtype( mvinch(a1, z) );
}


int gen_mvinchnstr ( int a1 ,  int a2 ,  chtype * a3 ,  int z )
{
@@T((T_CALLED("mvinchnstr(%d,%d,%p,%d)"), a1, a2, (const void *)a3, z)); returnCode( mvinchnstr(a1, a2, a3, z) );
}


int gen_mvinchstr ( int a1 ,  int a2 ,  chtype * z )
{
@@T((T_CALLED("mvinchstr(%d,%d,%p)"), a1, a2, (const void *)z)); returnCode( mvinchstr(a1, a2, z) );
}


int gen_mvinnstr ( int a1 ,  int a2 ,  char * a3 ,  int z )
{
@@return mvinnstr(a1, a2, a3, z) ;
}


int gen_mvinsch ( int a1 ,  int a2 ,  chtype z )
{
@@T((T_CALLED("mvinsch(%d,%d,%s)"), a1, a2, _tracechtype2(2,z))); returnCode( mvinsch(a1, a2, z) );
}


int gen_mvinsnstr ( int a1 ,  int a2 ,  const char * a3 ,  int z )
{
@@T((T_CALLED("mvinsnstr(%d,%d,%s,%d)"), a1, a2, _nc_visbuf2(2,a3), z)); returnCode( mvinsnstr(a1, a2, a3, z) );
}


int gen_mvinsstr ( int a1 ,  int a2 ,  const char * z )
{
@@T((T_CALLED("mvinsstr(%d,%d,%s)"), a1, a2, _nc_visbuf2(2,z))); returnCode( mvinsstr(a1, a2, z) );
}


int gen_mvinstr ( int a1 ,  int a2 ,  char * z )
{
@@T((T_CALLED("mvinstr(%d,%d,%s)"), a1, a2, _nc_visbuf2(2,z))); returnCode( mvinstr(a1, a2, z) );
}


int gen_mvvline ( int a1 ,  int a2 ,  chtype a3 ,  int z )
{
@@T((T_CALLED("mvvline(%d,%d,%s,%d)"), a1, a2, _tracechtype2(2,a3), z)); returnCode( mvvline(a1, a2, a3, z) );
}


int gen_mvwaddch ( WINDOW * a1 ,  int a2 ,  int a3 ,  const chtype z )
{
@@T((T_CALLED("mvwaddch(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _tracechtype2(3,z))); returnCode( mvwaddch(a1, a2, a3, z) );
}


int gen_mvwaddchnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const chtype * a4 ,  int z )
{
@@T((T_CALLED("mvwaddchnstr(%p,%d,%d,%p,%d)"), (const void *)a1, a2, a3, (const void *)a4, z)); returnCode( mvwaddchnstr(a1, a2, a3, a4, z) );
}


int gen_mvwaddchstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const chtype * z )
{
@@T((T_CALLED("mvwaddchstr(%p,%d,%d,%p)"), (const void *)a1, a2, a3, (const void *)z)); returnCode( mvwaddchstr(a1, a2, a3, z) );
}


int gen_mvwaddnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const char * a4 ,  int z )
{
@@T((T_CALLED("mvwaddnstr(%p,%d,%d,%s,%d)"), (const void *)a1, a2, a3, _nc_visbuf2(3,a4), z)); returnCode( mvwaddnstr(a1, a2, a3, a4, z) );
}


int gen_mvwaddstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const char * z )
{
@@T((T_CALLED("mvwaddstr(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _nc_visbuf2(3,z))); returnCode( mvwaddstr(a1, a2, a3, z) );
}


int gen_mvwchgat ( WINDOW * a1 ,  int a2 ,  int a3 ,  int a4 ,  attr_t a5 ,  NCURSES_PAIRS_T a6 ,  const void * z )
{
@@T((T_CALLED("mvwchgat(%p,%d,%d,%d,%s,%#lx,%p)"), (const void *)a1, a2, a3, a4, _traceattr2(4,a5), (long)a6, (const void *)z)); returnCode( mvwchgat(a1, a2, a3, a4, a5, a6, z) );
}


int gen_mvwdelch ( WINDOW * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("mvwdelch(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( mvwdelch(a1, a2, z) );
}


int gen_mvwgetch ( WINDOW * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("mvwgetch(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( mvwgetch(a1, a2, z) );
}


int gen_mvwgetnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  char * a4 ,  int z )
{
@@T((T_CALLED("mvwgetnstr(%p,%d,%d,%s,%d)"), (const void *)a1, a2, a3, _nc_visbuf2(3,a4), z)); returnCode( mvwgetnstr(a1, a2, a3, a4, z) );
}


int gen_mvwgetstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  char * z )
{
@@T((T_CALLED("mvwgetstr(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _nc_visbuf2(3,z))); returnCode( mvwgetstr(a1, a2, a3, z) );
}


int gen_mvwhline ( WINDOW * a1 ,  int a2 ,  int a3 ,  chtype a4 ,  int z )
{
@@T((T_CALLED("mvwhline(%p,%d,%d,%s,%d)"), (const void *)a1, a2, a3, _tracechtype2(3,a4), z)); returnCode( mvwhline(a1, a2, a3, a4, z) );
}


int gen_mvwin ( WINDOW * a1 , int a2 , int z )
{
@@T((T_CALLED("mvwin(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( mvwin(a1, a2, z) );
}


chtype gen_mvwinch ( WINDOW * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("mvwinch(%p,%d,%d)"), (const void *)a1, a2, z)); returnChtype( mvwinch(a1, a2, z) );
}


int gen_mvwinchnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  chtype * a4 ,  int z )
{
@@T((T_CALLED("mvwinchnstr(%p,%d,%d,%p,%d)"), (const void *)a1, a2, a3, (const void *)a4, z)); returnCode( mvwinchnstr(a1, a2, a3, a4, z) );
}


int gen_mvwinchstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  chtype * z )
{
@@T((T_CALLED("mvwinchstr(%p,%d,%d,%p)"), (const void *)a1, a2, a3, (const void *)z)); returnCode( mvwinchstr(a1, a2, a3, z) );
}


int gen_mvwinnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  char * a4 ,  int z )
{
@@return mvwinnstr(a1, a2, a3, a4, z) ;
}


int gen_mvwinsch ( WINDOW * a1 ,  int a2 ,  int a3 ,  chtype z )
{
@@T((T_CALLED("mvwinsch(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _tracechtype2(3,z))); returnCode( mvwinsch(a1, a2, a3, z) );
}


int gen_mvwinsnstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const char * a4 ,  int z )
{
@@T((T_CALLED("mvwinsnstr(%p,%d,%d,%s,%d)"), (const void *)a1, a2, a3, _nc_visbuf2(3,a4), z)); returnCode( mvwinsnstr(a1, a2, a3, a4, z) );
}


int gen_mvwinsstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  const char * z )
{
@@T((T_CALLED("mvwinsstr(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _nc_visbuf2(3,z))); returnCode( mvwinsstr(a1, a2, a3, z) );
}


int gen_mvwinstr ( WINDOW * a1 ,  int a2 ,  int a3 ,  char * z )
{
@@T((T_CALLED("mvwinstr(%p,%d,%d,%s)"), (const void *)a1, a2, a3, _nc_visbuf2(3,z))); returnCode( mvwinstr(a1, a2, a3, z) );
}


int gen_mvwvline ( WINDOW * a1 , int a2 ,  int a3 ,  chtype a4 ,  int z )
{
@@T((T_CALLED("mvwvline(%p,%d,%d,%s,%d)"), (const void *)a1, a2, a3, _tracechtype2(3,a4), z)); returnCode( mvwvline(a1, a2, a3, a4, z) );
}


int gen_napms ( int z )
{
@@T((T_CALLED("napms(%d)"), z)); returnCode( napms(z) );
}


WINDOW *  gen_newpad ( int a1 , int z )
{
@@T((T_CALLED("newpad(%d,%d)"), a1, z)); returnWin( newpad(a1, z) );
}


SCREEN *  gen_newterm ( NCURSES_CONST char * a1 , FILE * a2 , FILE * z )
{
@@T((T_CALLED("newterm(%s,%p,%p)"), _nc_visbuf2(0,a1), (const void *)a2, (const void *)z)); returnSP( newterm(a1, a2, z) );
}


WINDOW *  gen_newwin ( int a1 , int a2 , int a3 , int z )
{
@@T((T_CALLED("newwin(%d,%d,%d,%d)"), a1, a2, a3, z)); returnWin( newwin(a1, a2, a3, z) );
}


int gen_nl ( void )
{
@@T((T_CALLED("nl()"))); returnCode( nl() );
}


int gen_nocbreak ( void )
{
@@T((T_CALLED("nocbreak()"))); returnCode( nocbreak() );
}


int gen_nodelay ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("nodelay(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( nodelay(a1, z) );
}


int gen_noecho ( void )
{
@@T((T_CALLED("noecho()"))); returnCode( noecho() );
}


int gen_nonl ( void )
{
@@T((T_CALLED("nonl()"))); returnCode( nonl() );
}


void gen_noqiflush ( void )
{
@@T((T_CALLED("noqiflush()"))); noqiflush();
@@returnVoid;
}


int gen_noraw ( void )
{
@@T((T_CALLED("noraw()"))); returnCode( noraw() );
}


int gen_notimeout ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("notimeout(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( notimeout(a1, z) );
}


int gen_overlay ( const WINDOW * a1 , WINDOW * z )
{
@@T((T_CALLED("overlay(%p,%p)"), (const void *)a1, (const void *)z)); returnCode( overlay(a1, z) );
}


int gen_overwrite ( const WINDOW * a1 , WINDOW * z )
{
@@T((T_CALLED("overwrite(%p,%p)"), (const void *)a1, (const void *)z)); returnCode( overwrite(a1, z) );
}


int gen_pair_content ( NCURSES_PAIRS_T a1 , NCURSES_COLOR_T * a2 , NCURSES_COLOR_T * z )
{
@@T((T_CALLED("pair_content(%#lx,%p,%p)"), (long)a1, (const void *)a2, (const void *)z)); returnCode( pair_content(a1, a2, z) );
}


int gen_PAIR_NUMBER ( int z )
{
@@T((T_CALLED("PAIR_NUMBER(%d)"), z)); returnCode( PAIR_NUMBER(z) );
}


int gen_pechochar ( WINDOW * a1 ,  const chtype z )
{
@@T((T_CALLED("pechochar(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( pechochar(a1, z) );
}


int gen_pnoutrefresh ( WINDOW * a1 , int a2 , int a3 , int a4 , int a5 , int a6 , int z )
{
@@T((T_CALLED("pnoutrefresh(%p,%d,%d,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, a5, a6, z)); returnCode( pnoutrefresh(a1, a2, a3, a4, a5, a6, z) );
}


int gen_prefresh ( WINDOW * a1 , int a2 , int a3 , int a4 , int a5 , int a6 , int z )
{
@@T((T_CALLED("prefresh(%p,%d,%d,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, a5, a6, z)); returnCode( prefresh(a1, a2, a3, a4, a5, a6, z) );
}


int gen_putwin ( WINDOW * a1 ,  FILE * z )
{
@@T((T_CALLED("putwin(%p,%p)"), (const void *)a1, (const void *)z)); returnCode( putwin(a1, z) );
}


void gen_qiflush ( void )
{
@@T((T_CALLED("qiflush()"))); qiflush();
@@returnVoid;
}


int gen_raw ( void )
{
@@T((T_CALLED("raw()"))); returnCode( raw() );
}


int gen_redrawwin ( WINDOW * z )
{
@@T((T_CALLED("redrawwin(%p)"), (const void *)z)); returnCode( redrawwin(z) );
}


int gen_refresh ( void )
{
@@T((T_CALLED("refresh()"))); returnCode( refresh() );
}


int gen_resetty ( void )
{
@@T((T_CALLED("resetty()"))); returnCode( resetty() );
}


int gen_reset_prog_mode ( void )
{
@@T((T_CALLED("reset_prog_mode()"))); returnCode( reset_prog_mode() );
}


int gen_reset_shell_mode ( void )
{
@@T((T_CALLED("reset_shell_mode()"))); returnCode( reset_shell_mode() );
}


int gen_ripoffline ( int a1 ,  int( * z )(WINDOW * a2 ,  int))
{
@@return ripoffline(a1, z) ;
}


int gen_savetty ( void )
{
@@T((T_CALLED("savetty()"))); returnCode( savetty() );
}


int gen_scr_dump ( const char * z )
{
@@T((T_CALLED("scr_dump(%s)"), _nc_visbuf2(0,z))); returnCode( scr_dump(z) );
}


int gen_scr_init ( const char * z )
{
@@T((T_CALLED("scr_init(%s)"), _nc_visbuf2(0,z))); returnCode( scr_init(z) );
}


int gen_scrl ( int z )
{
@@T((T_CALLED("scrl(%d)"), z)); returnCode( scrl(z) );
}


int gen_scroll ( WINDOW * z )
{
@@T((T_CALLED("scroll(%p)"), (const void *)z)); returnCode( scroll(z) );
}


int gen_scrollok ( WINDOW * a1 , bool z )
{
@@T((T_CALLED("scrollok(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( scrollok(a1, z) );
}


int gen_scr_restore ( const char * z )
{
@@T((T_CALLED("scr_restore(%s)"), _nc_visbuf2(0,z))); returnCode( scr_restore(z) );
}


int gen_scr_set ( const char * z )
{
@@T((T_CALLED("scr_set(%s)"), _nc_visbuf2(0,z))); returnCode( scr_set(z) );
}


int gen_setscrreg ( int a1 , int z )
{
@@T((T_CALLED("setscrreg(%d,%d)"), a1, z)); returnCode( setscrreg(a1, z) );
}


SCREEN *  gen_set_term ( SCREEN * z )
{
@@T((T_CALLED("set_term(%p)"), (const void *)z)); returnSP( set_term(z) );
}


int gen_slk_attroff ( const chtype z )
{
@@T((T_CALLED("slk_attroff(%s)"), _tracechtype2(0,z))); returnCode( slk_attroff(z) );
}


P_POUNDCif_USE_WIDEC_SUPPORT 
int gen_slk_attr_off ( const attr_t a1 ,  void * z )
{
@@T((T_CALLED("slk_attr_off(%s,%p)"), _traceattr2(0,a1), (const void *)z)); returnCode( slk_attr_off(a1, z) );
}
P_POUNDCendif 


int gen_slk_attron ( const chtype z )
{
@@T((T_CALLED("slk_attron(%s)"), _tracechtype2(0,z))); returnCode( slk_attron(z) );
}


P_POUNDCif_USE_WIDEC_SUPPORT 
int gen_slk_attr_on ( attr_t a1 , void * z )
{
@@T((T_CALLED("slk_attr_on(%s,%p)"), _traceattr2(0,a1), (const void *)z)); returnCode( slk_attr_on(a1, z) );
}
P_POUNDCendif 


int gen_slk_attrset ( const chtype z )
{
@@T((T_CALLED("slk_attrset(%s)"), _tracechtype2(0,z))); returnCode( slk_attrset(z) );
}


attr_t gen_slk_attr ( void )
{
@@T((T_CALLED("slk_attr()"))); returnIntAttr( (attr_t)slk_attr() );
}


int gen_slk_attr_set ( const attr_t a1 , NCURSES_PAIRS_T a2 , void * z )
{
@@T((T_CALLED("slk_attr_set(%s,%#lx,%p)"), _traceattr2(0,a1), (long)a2, (const void *)z)); returnCode( slk_attr_set(a1, a2, z) );
}


int gen_slk_clear ( void )
{
@@T((T_CALLED("slk_clear()"))); returnCode( slk_clear() );
}


int gen_slk_color ( NCURSES_PAIRS_T z )
{
@@T((T_CALLED("slk_color(%#lx)"), (long)z)); returnCode( slk_color(z) );
}


int gen_slk_init ( int z )
{
@@T((T_CALLED("slk_init(%d)"), z)); returnCode( slk_init(z) );
}


char *  gen_slk_label ( int z )
{
@@T((T_CALLED("slk_label(%d)"), z)); returnPtr( slk_label(z) );
}


int gen_slk_noutrefresh ( void )
{
@@T((T_CALLED("slk_noutrefresh()"))); returnCode( slk_noutrefresh() );
}


int gen_slk_refresh ( void )
{
@@T((T_CALLED("slk_refresh()"))); returnCode( slk_refresh() );
}


int gen_slk_restore ( void )
{
@@T((T_CALLED("slk_restore()"))); returnCode( slk_restore() );
}


int gen_slk_set ( int a1 , const char * a2 , int z )
{
@@T((T_CALLED("slk_set(%d,%s,%d)"), a1, _nc_visbuf2(1,a2), z)); returnCode( slk_set(a1, a2, z) );
}


int gen_slk_touch ( void )
{
@@T((T_CALLED("slk_touch()"))); returnCode( slk_touch() );
}


int gen_standout ( void )
{
@@T((T_CALLED("standout()"))); returnIntAttr( (attr_t)standout() );
}


int gen_standend ( void )
{
@@T((T_CALLED("standend()"))); returnIntAttr( (attr_t)standend() );
}


int gen_start_color ( void )
{
@@T((T_CALLED("start_color()"))); returnCode( start_color() );
}


WINDOW *  gen_subpad ( WINDOW * a1 ,  int a2 ,  int a3 ,  int a4 ,  int z )
{
@@T((T_CALLED("subpad(%p,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, z)); returnWin( subpad(a1, a2, a3, a4, z) );
}


WINDOW *  gen_subwin ( WINDOW * a1 ,  int a2 ,  int a3 ,  int a4 ,  int z )
{
@@T((T_CALLED("subwin(%p,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, z)); returnWin( subwin(a1, a2, a3, a4, z) );
}


int gen_syncok ( WINDOW * a1 ,  bool z )
{
@@T((T_CALLED("syncok(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( syncok(a1, z) );
}


chtype gen_termattrs ( void )
{
@@T((T_CALLED("termattrs()"))); returnChtype( termattrs() );
}


char * gen_termname ( void )
{
@@T((T_CALLED("termname()"))); returnPtr( termname() );
}


void gen_timeout ( int z )
{
@@T((T_CALLED("timeout(%d)"), z)); timeout(z);
@@returnVoid;
}


int gen_touchline ( WINDOW * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("touchline(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( touchline(a1, a2, z) );
}


int gen_touchwin ( WINDOW * z )
{
@@T((T_CALLED("touchwin(%p)"), (const void *)z)); returnCode( touchwin(z) );
}


int gen_typeahead ( int z )
{
@@T((T_CALLED("typeahead(%d)"), z)); returnCode( typeahead(z) );
}


int gen_ungetch ( int z )
{
@@T((T_CALLED("ungetch(%d)"), z)); returnCode( ungetch(z) );
}


int gen_untouchwin ( WINDOW * z )
{
@@T((T_CALLED("untouchwin(%p)"), (const void *)z)); returnCode( untouchwin(z) );
}


void gen_use_env ( bool z )
{
@@T((T_CALLED("use_env(%#lx)"), (long)z)); use_env(z);
@@returnVoid;
}


void gen_use_tioctl ( bool z )
{
@@T((T_CALLED("use_tioctl(%#lx)"), (long)z)); use_tioctl(z);
@@returnVoid;
}


int gen_vidattr ( chtype z )
{
@@T((T_CALLED("vidattr(%s)"), _tracechtype2(0,z))); returnCode( vidattr(z) );
}


int gen_vidputs ( chtype a1 ,  NCURSES_OUTC z )
{
@@T((T_CALLED("vidputs(%s,%#lx)"), _tracechtype2(0,a1), (long)z)); returnCode( vidputs(a1, z) );
}


int gen_vline ( chtype a1 ,  int z )
{
@@T((T_CALLED("vline(%s,%d)"), _tracechtype2(0,a1), z)); returnCode( vline(a1, z) );
}


int gen_vwprintw ( WINDOW * a1 ,  const char * a2 , va_list z )
{
@@T((T_CALLED("vwprintw(%p,%s,%s)"), (const void *)a1, _nc_visbuf2(1,a2), "va_list")); returnCode( vwprintw(a1, a2, z) );
}


int gen_vw_printw ( WINDOW * a1 ,  const char * a2 , va_list z )
{
@@T((T_CALLED("vw_printw(%p,%s,%s)"), (const void *)a1, _nc_visbuf2(1,a2), "va_list")); returnCode( vw_printw(a1, a2, z) );
}


int gen_vwscanw ( WINDOW * a1 ,  NCURSES_CONST char * a2 , va_list z )
{
@@T((T_CALLED("vwscanw(%p,%s,%s)"), (const void *)a1, _nc_visbuf2(1,a2), "va_list")); returnCode( vwscanw(a1, a2, z) );
}


int gen_vw_scanw ( WINDOW * a1 ,  NCURSES_CONST char * a2 , va_list z )
{
@@T((T_CALLED("vw_scanw(%p,%s,%s)"), (const void *)a1, _nc_visbuf2(1,a2), "va_list")); returnCode( vw_scanw(a1, a2, z) );
}


int gen_waddch ( WINDOW * a1 ,  const chtype z )
{
@@T((T_CALLED("waddch(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( waddch(a1, z) );
}


int gen_waddchnstr ( WINDOW * a1 , const chtype * a2 , int z )
{
@@T((T_CALLED("waddchnstr(%p,%p,%d)"), (const void *)a1, (const void *)a2, z)); returnCode( waddchnstr(a1, a2, z) );
}


int gen_waddchstr ( WINDOW * a1 , const chtype * z )
{
@@T((T_CALLED("waddchstr(%p,%p)"), (const void *)a1, (const void *)z)); returnCode( waddchstr(a1, z) );
}


int gen_waddnstr ( WINDOW * a1 , const char * a2 , int z )
{
@@T((T_CALLED("waddnstr(%p,%s,%d)"), (const void *)a1, _nc_visbuf2(1,a2), z)); returnCode( waddnstr(a1, a2, z) );
}


int gen_waddstr ( WINDOW * a1 , const char * z )
{
@@T((T_CALLED("waddstr(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( waddstr(a1, z) );
}


int gen_wattron ( WINDOW * a1 ,  int z )
{
@@T((T_CALLED("wattron(%p,%d)"), (const void *)a1, z)); returnCode( wattron(a1, z) );
}


int gen_wattroff ( WINDOW * a1 ,  int z )
{
@@T((T_CALLED("wattroff(%p,%d)"), (const void *)a1, z)); returnCode( wattroff(a1, z) );
}


int gen_wattrset ( WINDOW * a1 ,  int z )
{
@@T((T_CALLED("wattrset(%p,%d)"), (const void *)a1, z)); returnIntAttr( (attr_t)wattrset(a1, z) );
}


int gen_wattr_get ( WINDOW * a1 ,  attr_t * a2 ,  NCURSES_PAIRS_T * a3 ,  void * z )
{
@@T((T_CALLED("wattr_get(%p,%p,%p,%p)"), (const void *)a1, (const void *)a2, (const void *)a3, (const void *)z)); returnCode( wattr_get(a1, a2, a3, z) );
}


int gen_wattr_on ( WINDOW * a1 ,  attr_t a2 ,  void * z )
{
@@T((T_CALLED("wattr_on(%p,%s,%p)"), (const void *)a1, _traceattr2(1,a2), (const void *)z)); returnCode( wattr_on(a1, a2, z) );
}


int gen_wattr_off ( WINDOW * a1 ,  attr_t a2 ,  void * z )
{
@@T((T_CALLED("wattr_off(%p,%s,%p)"), (const void *)a1, _traceattr2(1,a2), (const void *)z)); returnCode( wattr_off(a1, a2, z) );
}


int gen_wattr_set ( WINDOW * a1 ,  attr_t a2 ,  NCURSES_PAIRS_T a3 ,  void * z )
{
@@T((T_CALLED("wattr_set(%p,%s,%#lx,%p)"), (const void *)a1, _traceattr2(1,a2), (long)a3, (const void *)z)); returnCode( wattr_set(a1, a2, a3, z) );
}


int gen_wbkgd ( WINDOW * a1 ,  chtype z )
{
@@T((T_CALLED("wbkgd(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( wbkgd(a1, z) );
}


void gen_wbkgdset ( WINDOW * a1 , chtype z )
{
@@T((T_CALLED("wbkgdset(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); wbkgdset(a1, z);
@@returnVoid;
}


int gen_wborder ( WINDOW * a1 , chtype a2 , chtype a3 , chtype a4 , chtype a5 , chtype a6 , chtype a7 , chtype a8 , chtype z )
{
@@T((T_CALLED("wborder(%p,%s,%s,%s,%s,%s,%s,%s,%s)"), (const void *)a1, _tracechtype2(1,a2), _tracechtype2(2,a3), _tracechtype2(3,a4), _tracechtype2(4,a5), _tracechtype2(5,a6), _tracechtype2(6,a7), _tracechtype2(7,a8), _tracechtype2(8,z))); returnCode( wborder(a1, a2, a3, a4, a5, a6, a7, a8, z) );
}


int gen_wchgat ( WINDOW * a1 ,  int a2 ,  attr_t a3 ,  NCURSES_PAIRS_T a4 ,  const void * z )
{
@@T((T_CALLED("wchgat(%p,%d,%s,%#lx,%p)"), (const void *)a1, a2, _traceattr2(2,a3), (long)a4, (const void *)z)); returnCode( wchgat(a1, a2, a3, a4, z) );
}


int gen_wclear ( WINDOW * z )
{
@@T((T_CALLED("wclear(%p)"), (const void *)z)); returnCode( wclear(z) );
}


int gen_wclrtobot ( WINDOW * z )
{
@@T((T_CALLED("wclrtobot(%p)"), (const void *)z)); returnCode( wclrtobot(z) );
}


int gen_wclrtoeol ( WINDOW * z )
{
@@T((T_CALLED("wclrtoeol(%p)"), (const void *)z)); returnCode( wclrtoeol(z) );
}


int gen_wcolor_set ( WINDOW * a1 , NCURSES_PAIRS_T a2 , void * z )
{
@@T((T_CALLED("wcolor_set(%p,%#lx,%p)"), (const void *)a1, (long)a2, (const void *)z)); returnCode( wcolor_set(a1, a2, z) );
}


void gen_wcursyncup ( WINDOW * z )
{
@@T((T_CALLED("wcursyncup(%p)"), (const void *)z)); wcursyncup(z);
@@returnVoid;
}


int gen_wdelch ( WINDOW * z )
{
@@T((T_CALLED("wdelch(%p)"), (const void *)z)); returnCode( wdelch(z) );
}


int gen_wdeleteln ( WINDOW * z )
{
@@T((T_CALLED("wdeleteln(%p)"), (const void *)z)); returnCode( wdeleteln(z) );
}


int gen_wechochar ( WINDOW * a1 ,  const chtype z )
{
@@T((T_CALLED("wechochar(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( wechochar(a1, z) );
}


int gen_werase ( WINDOW * z )
{
@@T((T_CALLED("werase(%p)"), (const void *)z)); returnCode( werase(z) );
}


int gen_wgetch ( WINDOW * z )
{
@@T((T_CALLED("wgetch(%p)"), (const void *)z)); returnCode( wgetch(z) );
}


int gen_wgetnstr ( WINDOW * a1 , char * a2 , int z )
{
@@T((T_CALLED("wgetnstr(%p,%s,%d)"), (const void *)a1, _nc_visbuf2(1,a2), z)); returnCode( wgetnstr(a1, a2, z) );
}


int gen_wgetstr ( WINDOW * a1 ,  char * z )
{
@@T((T_CALLED("wgetstr(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( wgetstr(a1, z) );
}


int gen_whline ( WINDOW * a1 ,  chtype a2 ,  int z )
{
@@T((T_CALLED("whline(%p,%s,%d)"), (const void *)a1, _tracechtype2(1,a2), z)); returnCode( whline(a1, a2, z) );
}


chtype gen_winch ( WINDOW * z )
{
@@T((T_CALLED("winch(%p)"), (const void *)z)); returnChtype( winch(z) );
}


int gen_winchnstr ( WINDOW * a1 ,  chtype * a2 ,  int z )
{
@@T((T_CALLED("winchnstr(%p,%p,%d)"), (const void *)a1, (const void *)a2, z)); returnCode( winchnstr(a1, a2, z) );
}


int gen_winchstr ( WINDOW * a1 ,  chtype * z )
{
@@T((T_CALLED("winchstr(%p,%p)"), (const void *)a1, (const void *)z)); returnCode( winchstr(a1, z) );
}


int gen_winnstr ( WINDOW * a1 ,  char * a2 ,  int z )
{
@@return winnstr(a1, a2, z) ;
}


int gen_winsch ( WINDOW * a1 ,  chtype z )
{
@@T((T_CALLED("winsch(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( winsch(a1, z) );
}


int gen_winsdelln ( WINDOW * a1 , int z )
{
@@T((T_CALLED("winsdelln(%p,%d)"), (const void *)a1, z)); returnCode( winsdelln(a1, z) );
}


int gen_winsertln ( WINDOW * z )
{
@@T((T_CALLED("winsertln(%p)"), (const void *)z)); returnCode( winsertln(z) );
}


int gen_winsnstr ( WINDOW * a1 ,  const char * a2 , int z )
{
@@T((T_CALLED("winsnstr(%p,%s,%d)"), (const void *)a1, _nc_visbuf2(1,a2), z)); returnCode( winsnstr(a1, a2, z) );
}


int gen_winsstr ( WINDOW * a1 ,  const char * z )
{
@@T((T_CALLED("winsstr(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( winsstr(a1, z) );
}


int gen_winstr ( WINDOW * a1 ,  char * z )
{
@@T((T_CALLED("winstr(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( winstr(a1, z) );
}


int gen_wmove ( WINDOW * a1 , int a2 , int z )
{
@@T((T_CALLED("wmove(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( wmove(a1, a2, z) );
}


int gen_wnoutrefresh ( WINDOW * z )
{
@@T((T_CALLED("wnoutrefresh(%p)"), (const void *)z)); returnCode( wnoutrefresh(z) );
}


int gen_wredrawln ( WINDOW * a1 , int a2 , int z )
{
@@T((T_CALLED("wredrawln(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( wredrawln(a1, a2, z) );
}


int gen_wrefresh ( WINDOW * z )
{
@@T((T_CALLED("wrefresh(%p)"), (const void *)z)); returnCode( wrefresh(z) );
}


int gen_wscrl ( WINDOW * a1 , int z )
{
@@T((T_CALLED("wscrl(%p,%d)"), (const void *)a1, z)); returnCode( wscrl(a1, z) );
}


int gen_wsetscrreg ( WINDOW * a1 , int a2 , int z )
{
@@T((T_CALLED("wsetscrreg(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( wsetscrreg(a1, a2, z) );
}


int gen_wstandout ( WINDOW * z )
{
@@T((T_CALLED("wstandout(%p)"), (const void *)z)); returnIntAttr( (attr_t)wstandout(z) );
}


int gen_wstandend ( WINDOW * z )
{
@@T((T_CALLED("wstandend(%p)"), (const void *)z)); returnIntAttr( (attr_t)wstandend(z) );
}


void gen_wsyncdown ( WINDOW * z )
{
@@T((T_CALLED("wsyncdown(%p)"), (const void *)z)); wsyncdown(z);
@@returnVoid;
}


void gen_wsyncup ( WINDOW * z )
{
@@T((T_CALLED("wsyncup(%p)"), (const void *)z)); wsyncup(z);
@@returnVoid;
}


void gen_wtimeout ( WINDOW * a1 , int z )
{
@@T((T_CALLED("wtimeout(%p,%d)"), (const void *)a1, z)); wtimeout(a1, z);
@@returnVoid;
}


int gen_wtouchln ( WINDOW * a1 , int a2 , int a3 , int z )
{
@@T((T_CALLED("wtouchln(%p,%d,%d,%d)"), (const void *)a1, a2, a3, z)); returnCode( wtouchln(a1, a2, a3, z) );
}


int gen_wvline ( WINDOW * a1 , chtype a2 , int z )
{
@@T((T_CALLED("wvline(%p,%s,%d)"), (const void *)a1, _tracechtype2(1,a2), z)); returnCode( wvline(a1, a2, z) );
}


int gen_tigetflag ( NCURSES_CONST char * z )
{
@@T((T_CALLED("tigetflag(%s)"), _nc_visbuf2(0,z))); returnCode( tigetflag(z) );
}


int gen_tigetnum ( NCURSES_CONST char * z )
{
@@T((T_CALLED("tigetnum(%s)"), _nc_visbuf2(0,z))); returnCode( tigetnum(z) );
}


char *  gen_tigetstr ( NCURSES_CONST char * z )
{
@@T((T_CALLED("tigetstr(%s)"), _nc_visbuf2(0,z))); returnPtr( tigetstr(z) );
}


int gen_putp ( const char * z )
{
@@T((T_CALLED("putp(%s)"), _nc_visbuf2(0,z))); returnCode( putp(z) );
}


int gen_getattrs ( const WINDOW * z )
{
@@T((T_CALLED("getattrs(%p)"), (const void *)z)); returnCode( getattrs(z) );
}


int gen_getcurx ( const WINDOW * z )
{
@@T((T_CALLED("getcurx(%p)"), (const void *)z)); returnCode( getcurx(z) );
}


int gen_getcury ( const WINDOW * z )
{
@@T((T_CALLED("getcury(%p)"), (const void *)z)); returnCode( getcury(z) );
}


int gen_getbegx ( const WINDOW * z )
{
@@T((T_CALLED("getbegx(%p)"), (const void *)z)); returnCode( getbegx(z) );
}


int gen_getbegy ( const WINDOW * z )
{
@@T((T_CALLED("getbegy(%p)"), (const void *)z)); returnCode( getbegy(z) );
}


int gen_getmaxx ( const WINDOW * z )
{
@@T((T_CALLED("getmaxx(%p)"), (const void *)z)); returnCode( getmaxx(z) );
}


int gen_getmaxy ( const WINDOW * z )
{
@@T((T_CALLED("getmaxy(%p)"), (const void *)z)); returnCode( getmaxy(z) );
}


int gen_getparx ( const WINDOW * z )
{
@@T((T_CALLED("getparx(%p)"), (const void *)z)); returnCode( getparx(z) );
}


int gen_getpary ( const WINDOW * z )
{
@@T((T_CALLED("getpary(%p)"), (const void *)z)); returnCode( getpary(z) );
}


WINDOW *  gen_wgetparent ( const WINDOW * z )
{
@@T((T_CALLED("wgetparent(%p)"), (const void *)z)); returnWin( wgetparent(z) );
}


bool gen_is_cleared ( const WINDOW * z )
{
@@T((T_CALLED("is_cleared(%p)"), (const void *)z)); returnBool( is_cleared(z) );
}


bool gen_is_idcok ( const WINDOW * z )
{
@@T((T_CALLED("is_idcok(%p)"), (const void *)z)); returnBool( is_idcok(z) );
}


bool gen_is_idlok ( const WINDOW * z )
{
@@T((T_CALLED("is_idlok(%p)"), (const void *)z)); returnBool( is_idlok(z) );
}


bool gen_is_immedok ( const WINDOW * z )
{
@@T((T_CALLED("is_immedok(%p)"), (const void *)z)); returnBool( is_immedok(z) );
}


bool gen_is_keypad ( const WINDOW * z )
{
@@T((T_CALLED("is_keypad(%p)"), (const void *)z)); returnBool( is_keypad(z) );
}


bool gen_is_leaveok ( const WINDOW * z )
{
@@T((T_CALLED("is_leaveok(%p)"), (const void *)z)); returnBool( is_leaveok(z) );
}


bool gen_is_nodelay ( const WINDOW * z )
{
@@T((T_CALLED("is_nodelay(%p)"), (const void *)z)); returnBool( is_nodelay(z) );
}


bool gen_is_notimeout ( const WINDOW * z )
{
@@T((T_CALLED("is_notimeout(%p)"), (const void *)z)); returnBool( is_notimeout(z) );
}


bool gen_is_pad ( const WINDOW * z )
{
@@T((T_CALLED("is_pad(%p)"), (const void *)z)); returnBool( is_pad(z) );
}


bool gen_is_scrollok ( const WINDOW * z )
{
@@T((T_CALLED("is_scrollok(%p)"), (const void *)z)); returnBool( is_scrollok(z) );
}


bool gen_is_subwin ( const WINDOW * z )
{
@@T((T_CALLED("is_subwin(%p)"), (const void *)z)); returnBool( is_subwin(z) );
}


bool gen_is_syncok ( const WINDOW * z )
{
@@T((T_CALLED("is_syncok(%p)"), (const void *)z)); returnBool( is_syncok(z) );
}


int gen_wgetdelay ( const WINDOW * z )
{
@@T((T_CALLED("wgetdelay(%p)"), (const void *)z)); returnCode( wgetdelay(z) );
}


int gen_wgetscrreg ( const WINDOW * a1 ,  int * a2 ,  int * z )
{
@@T((T_CALLED("wgetscrreg(%p,%p,%p)"), (const void *)a1, (const void *)a2, (const void *)z)); returnCode( wgetscrreg(a1, a2, z) );
}


P_POUNDCif_USE_SP_FUNC_SUPPORT 
SCREEN * gen_new_prescr ( void )
{
@@T((T_CALLED("new_prescr()"))); returnSP( new_prescr() );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___baudrate ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___baudrate(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___baudrate(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___beep ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___beep(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___beep(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___can_change_color ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___can_change_color(%p)"), (const void *)z)); returnBool( NCURSES_SP_NAME___can_change_color(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___cbreak ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___cbreak(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___cbreak(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___curs_set ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___curs_set(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___curs_set(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___color_content ( SCREEN * a1 ,  NCURSES_PAIRS_T a2 ,  NCURSES_COLOR_T * a3 ,  NCURSES_COLOR_T * a4 ,  NCURSES_COLOR_T * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___color_content(%p,%#lx,%p,%p,%p)"), (const void *)a1, (long)a2, (const void *)a3, (const void *)a4, (const void *)z)); returnCode( NCURSES_SP_NAME___color_content(a1, a2, a3, a4, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___def_prog_mode ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___def_prog_mode(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___def_prog_mode(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___def_shell_mode ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___def_shell_mode(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___def_shell_mode(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___delay_output ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___delay_output(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___delay_output(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___doupdate ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___doupdate(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___doupdate(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___echo ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___echo(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___echo(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___endwin ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___endwin(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___endwin(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
char gen_NCURSES_SP_NAME___erasechar ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___erasechar(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___erasechar(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___filter ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___filter(%p)"), (const void *)z)); NCURSES_SP_NAME___filter(z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___flash ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___flash(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___flash(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___flushinp ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___flushinp(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___flushinp(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
WINDOW *  gen_NCURSES_SP_NAME___getwin ( SCREEN * a1 ,  FILE * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___getwin(%p,%p)"), (const void *)a1, (const void *)z)); returnWin( NCURSES_SP_NAME___getwin(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___halfdelay ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___halfdelay(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___halfdelay(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___has_colors ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___has_colors(%p)"), (const void *)z)); returnBool( NCURSES_SP_NAME___has_colors(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___has_ic ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___has_ic(%p)"), (const void *)z)); returnBool( NCURSES_SP_NAME___has_ic(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___has_il ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___has_il(%p)"), (const void *)z)); returnBool( NCURSES_SP_NAME___has_il(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___init_color ( SCREEN * a1 ,  NCURSES_COLOR_T a2 ,  NCURSES_COLOR_T a3 ,  NCURSES_COLOR_T a4 ,  NCURSES_COLOR_T z )
{
@@T((T_CALLED("NCURSES_SP_NAME___init_color(%p,%#lx,%#lx,%#lx,%#lx)"), (const void *)a1, (long)a2, (long)a3, (long)a4, (long)z)); returnCode( NCURSES_SP_NAME___init_color(a1, a2, a3, a4, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___init_pair ( SCREEN * a1 ,  NCURSES_PAIRS_T a2 ,  NCURSES_COLOR_T a3 ,  NCURSES_COLOR_T z )
{
@@T((T_CALLED("NCURSES_SP_NAME___init_pair(%p,%#lx,%#lx,%#lx)"), (const void *)a1, (long)a2, (long)a3, (long)z)); returnCode( NCURSES_SP_NAME___init_pair(a1, a2, a3, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___intrflush ( SCREEN * a1 ,  WINDOW * a2 ,  bool z )
{
@@T((T_CALLED("NCURSES_SP_NAME___intrflush(%p,%p,%#lx)"), (const void *)a1, (const void *)a2, (long)z)); returnCode( NCURSES_SP_NAME___intrflush(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___isendwin ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___isendwin(%p)"), (const void *)z)); returnBool( NCURSES_SP_NAME___isendwin(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
NCURSES_CONST gen_char * NCURSES_SP_NAME___keyname ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___keyname(%p,%d)"), (const void *)a1, z)); returnPtr( NCURSES_SP_NAME___keyname(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
char gen_NCURSES_SP_NAME___killchar ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___killchar(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___killchar(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
char *  gen_NCURSES_SP_NAME___longname ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___longname(%p)"), (const void *)z)); returnPtr( NCURSES_SP_NAME___longname(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___mvcur ( SCREEN * a1 ,  int a2 ,  int a3 ,  int a4 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___mvcur(%p,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, z)); returnCode( NCURSES_SP_NAME___mvcur(a1, a2, a3, a4, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___napms ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___napms(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___napms(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
WINDOW *  gen_NCURSES_SP_NAME___newpad ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___newpad(%p,%d,%d)"), (const void *)a1, a2, z)); returnWin( NCURSES_SP_NAME___newpad(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
SCREEN *  gen_NCURSES_SP_NAME___newterm ( SCREEN * a1 ,  NCURSES_CONST char * a2 ,  FILE * a3 ,  FILE * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___newterm(%p,%s,%p,%p)"), (const void *)a1, _nc_visbuf2(1,a2), (const void *)a3, (const void *)z)); returnSP( NCURSES_SP_NAME___newterm(a1, a2, a3, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
WINDOW *  gen_NCURSES_SP_NAME___newwin ( SCREEN * a1 ,  int a2 ,  int a3 ,  int a4 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___newwin(%p,%d,%d,%d,%d)"), (const void *)a1, a2, a3, a4, z)); returnWin( NCURSES_SP_NAME___newwin(a1, a2, a3, a4, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___nl ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___nl(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___nl(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___nocbreak ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___nocbreak(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___nocbreak(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___noecho ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___noecho(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___noecho(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___nonl ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___nonl(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___nonl(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___noqiflush ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___noqiflush(%p)"), (const void *)z)); NCURSES_SP_NAME___noqiflush(z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___noraw ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___noraw(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___noraw(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___pair_content ( SCREEN * a1 ,  NCURSES_PAIRS_T a2 ,  NCURSES_COLOR_T * a3 ,  NCURSES_COLOR_T * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___pair_content(%p,%#lx,%p,%p)"), (const void *)a1, (long)a2, (const void *)a3, (const void *)z)); returnCode( NCURSES_SP_NAME___pair_content(a1, a2, a3, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___qiflush ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___qiflush(%p)"), (const void *)z)); NCURSES_SP_NAME___qiflush(z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___raw ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___raw(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___raw(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___reset_prog_mode ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___reset_prog_mode(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___reset_prog_mode(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___reset_shell_mode ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___reset_shell_mode(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___reset_shell_mode(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___resetty ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___resetty(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___resetty(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___ripoffline ( SCREEN * a1 ,  int a2 ,  int( * z )(WINDOW * a3 ,  int))
{
@@return NCURSES_SP_NAME___ripoffline(a1, a2, z) ;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___savetty ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___savetty(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___savetty(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___scr_init ( SCREEN * a1 ,  const char * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___scr_init(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( NCURSES_SP_NAME___scr_init(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___scr_restore ( SCREEN * a1 ,  const char * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___scr_restore(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( NCURSES_SP_NAME___scr_restore(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___scr_set ( SCREEN * a1 ,  const char * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___scr_set(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( NCURSES_SP_NAME___scr_set(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_attroff ( SCREEN * a1 ,  const chtype z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_attroff(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( NCURSES_SP_NAME___slk_attroff(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_attron ( SCREEN * a1 ,  const chtype z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_attron(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( NCURSES_SP_NAME___slk_attron(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_attrset ( SCREEN * a1 ,  const chtype z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_attrset(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( NCURSES_SP_NAME___slk_attrset(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
attr_t gen_NCURSES_SP_NAME___slk_attr ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_attr(%p)"), (const void *)z)); returnIntAttr( (attr_t)NCURSES_SP_NAME___slk_attr(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_attr_set ( SCREEN * a1 ,  const attr_t a2 ,  NCURSES_PAIRS_T a3 ,  void * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_attr_set(%p,%s,%#lx,%p)"), (const void *)a1, _traceattr2(1,a2), (long)a3, (const void *)z)); returnCode( NCURSES_SP_NAME___slk_attr_set(a1, a2, a3, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_clear ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_clear(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___slk_clear(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_color ( SCREEN * a1 ,  NCURSES_PAIRS_T z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_color(%p,%#lx)"), (const void *)a1, (long)z)); returnCode( NCURSES_SP_NAME___slk_color(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_init ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_init(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___slk_init(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
char *  gen_NCURSES_SP_NAME___slk_label ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_label(%p,%d)"), (const void *)a1, z)); returnPtr( NCURSES_SP_NAME___slk_label(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_noutrefresh ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_noutrefresh(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___slk_noutrefresh(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_refresh ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_refresh(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___slk_refresh(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_restore ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_restore(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___slk_restore(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_set ( SCREEN * a1 ,  int a2 ,  const char * a3 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_set(%p,%d,%s,%d)"), (const void *)a1, a2, _nc_visbuf2(2,a3), z)); returnCode( NCURSES_SP_NAME___slk_set(a1, a2, a3, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___slk_touch ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___slk_touch(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___slk_touch(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___start_color ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___start_color(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___start_color(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
chtype gen_NCURSES_SP_NAME___termattrs ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___termattrs(%p)"), (const void *)z)); returnChtype( NCURSES_SP_NAME___termattrs(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
char *  gen_NCURSES_SP_NAME___termname ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___termname(%p)"), (const void *)z)); returnPtr( NCURSES_SP_NAME___termname(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___typeahead ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___typeahead(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___typeahead(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___ungetch ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___ungetch(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___ungetch(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___use_env ( SCREEN * a1 ,  bool z )
{
@@T((T_CALLED("NCURSES_SP_NAME___use_env(%p,%#lx)"), (const void *)a1, (long)z)); NCURSES_SP_NAME___use_env(a1, z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___use_tioctl ( SCREEN * a1 ,  bool z )
{
@@T((T_CALLED("NCURSES_SP_NAME___use_tioctl(%p,%#lx)"), (const void *)a1, (long)z)); NCURSES_SP_NAME___use_tioctl(a1, z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___vidattr ( SCREEN * a1 ,  chtype z )
{
@@T((T_CALLED("NCURSES_SP_NAME___vidattr(%p,%s)"), (const void *)a1, _tracechtype2(1,z))); returnCode( NCURSES_SP_NAME___vidattr(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___vidputs ( SCREEN * a1 ,  chtype a2 ,  NCURSES_SP_OUTC z )
{
@@T((T_CALLED("NCURSES_SP_NAME___vidputs(%p,%s,%#lx)"), (const void *)a1, _tracechtype2(1,a2), (long)z)); returnCode( NCURSES_SP_NAME___vidputs(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
char *  gen_NCURSES_SP_NAME___keybound ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___keybound(%p,%d,%d)"), (const void *)a1, a2, z)); returnPtr( NCURSES_SP_NAME___keybound(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___assume_default_colors ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___assume_default_colors(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( NCURSES_SP_NAME___assume_default_colors(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___define_key ( SCREEN * a1 ,  const char * a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___define_key(%p,%s,%d)"), (const void *)a1, _nc_visbuf2(1,a2), z)); returnCode( NCURSES_SP_NAME___define_key(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___get_escdelay ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___get_escdelay(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___get_escdelay(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
bool gen_NCURSES_SP_NAME___is_term_resized ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___is_term_resized(%p,%d,%d)"), (const void *)a1, a2, z)); returnBool( NCURSES_SP_NAME___is_term_resized(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___key_defined ( SCREEN * a1 ,  const char * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___key_defined(%p,%s)"), (const void *)a1, _nc_visbuf2(1,z))); returnCode( NCURSES_SP_NAME___key_defined(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___keyok ( SCREEN * a1 ,  int a2 ,  bool z )
{
@@T((T_CALLED("NCURSES_SP_NAME___keyok(%p,%d,%#lx)"), (const void *)a1, a2, (long)z)); returnCode( NCURSES_SP_NAME___keyok(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
void gen_NCURSES_SP_NAME___nofilter ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___nofilter(%p)"), (const void *)z)); NCURSES_SP_NAME___nofilter(z);
@@returnVoid;
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___resize_term ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___resize_term(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( NCURSES_SP_NAME___resize_term(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___resizeterm ( SCREEN * a1 ,  int a2 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___resizeterm(%p,%d,%d)"), (const void *)a1, a2, z)); returnCode( NCURSES_SP_NAME___resizeterm(a1, a2, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___set_escdelay ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___set_escdelay(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___set_escdelay(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___set_tabsize ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___set_tabsize(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___set_tabsize(a1, z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___use_default_colors ( SCREEN * z )
{
@@T((T_CALLED("NCURSES_SP_NAME___use_default_colors(%p)"), (const void *)z)); returnCode( NCURSES_SP_NAME___use_default_colors(z) );
}
P_POUNDCendif 


P_POUNDCif_USE_EXT_SP_FUNC_SUPPORT 
int gen_NCURSES_SP_NAME___use_legacy_coding ( SCREEN * a1 ,  int z )
{
@@T((T_CALLED("NCURSES_SP_NAME___use_legacy_coding(%p,%d)"), (const void *)a1, z)); returnCode( NCURSES_SP_NAME___use_legacy_coding(a1, z) );
}
P_POUNDCendif 


bool   gen_mouse_trafo ( int * a1 ,  int * a2 ,  bool z )
{
@@T((T_CALLED("mouse_trafo(%p,%p,%#lx)"), (const void *)a1, (const void *)a2, (long)z)); returnBool( mouse_trafo(a1, a2, z) );
}
